Page MenuHomePhabricator

History summary message for "protect" action should contain performer name
Closed, ResolvedPublic

Description

After the T40116 resolving, there was created a new bug: the three protection actions still create a wrong-gendered message in page history. The summary as Mary "he does" changed the protection level is wrong.
I believe the messages as Modifiedarticleprotection should be replaced by their new versions, as Logentry-protect-modify.
Could you fix this, please? Thank you.

Event Timeline

IKhitron raised the priority of this task from to Needs Triage.
IKhitron updated the task description. (Show Details)
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 10 2015, 10:04 AM

Change 258427 had a related patch set uploaded (by TTO):
Add GENDER support to protection null revision edit summary

https://gerrit.wikimedia.org/r/258427

TTO claimed this task.Dec 11 2015, 7:36 AM
IKhitron updated the task description. (Show Details)Dec 11 2015, 12:12 PM
IKhitron set Security to None.

Change 258427 merged by jenkins-bot:
Add GENDER support to protection null revision edit summary

https://gerrit.wikimedia.org/r/258427

IKhitron added a subscriber: Guycn2.Nov 4 2016, 1:57 PM

@Guycn2, pay attention.

TTO closed this task as Resolved.Nov 4 2016, 2:00 PM

Great, thanks!